extends CharacterController

const SHIRT_MAT := preload("res://assets/models/characters/gfolf_girl/Shirt.tres")
const SHIRT_SURFACE_ID := 0
const ARM_SURFACE_ID := 0

@onready var shirt: MeshInstance3D = $Armature/Skeleton3D/Shirt
@onready var arm: MeshInstance3D = $Armature/Skeleton3D/Arm_L


func set_color(color: Color) -> void:
	var material: BaseMaterial3D = SHIRT_MAT.duplicate()
	material.resource_local_to_scene = true
	material.albedo_color = color
	shirt.set_surface_override_material(SHIRT_SURFACE_ID, material)
	arm.set_surface_override_material(ARM_SURFACE_ID, material)
